Bug 13769 - [Q35] some cases of 'specviewperf' run failed
[Q35] some cases of 'specviewperf' run failed
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915
git
Other Linux (All)
: medium normal
Assigned To: Zou Nan hai
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 01:07 UTC by Colin.Joe
Modified: 2009-08-24 12:28 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg.0.log (23.62 KB, text/plain)
2007-12-21 01:08 UTC, Colin.Joe
Details
xorg.conf (3.64 KB, text/plain)
2007-12-21 01:09 UTC, Colin.Joe
Details
3dsmax result (1.54 KB, text/plain)
2007-12-21 01:09 UTC, Colin.Joe
Details
light test result (860 bytes, text/plain)
2007-12-21 01:10 UTC, Colin.Joe
Details
maya test result (1.15 KB, text/plain)
2007-12-21 01:11 UTC, Colin.Joe
Details
sw test result (1.07 KB, text/plain)
2007-12-21 01:11 UTC, Colin.Joe
Details
ugnx test result (1.30 KB, text/plain)
2007-12-21 01:12 UTC, Colin.Joe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Colin.Joe 2007-12-21 01:07:23 UTC
System Environment:
--------------------------

--Platform:Q35

--Architecture(32-bit,64-bit,compatiblity):64bit 

--2D driver:
commit f69b48fe24ef94dac44b8123884ca71df675be4b

--3D driver:
commit 8aa0fd6b206930ababb1bae2acc629e2a945c0c0

--Xserver:
commit 7ef7727b800fa4715b80a82850d65b88fde5fe6c


--Kernel:
2.6.24-rc5


Bug detailed description:
-------------------------
some cases of 'specviewperf' run failed , and the test result is :
3dsmax-04 Weighted Geometric Mean = 0.00000
catia-02 Weighted Geometric Mean =  0.9609
ensight-03 Weighted Geometric Mean =   1.130
light-08 Weighted Geometric Mean = 0.00000
maya-02 Weighted Geometric Mean = 0.00000
proe-04 Weighted Geometric Mean =  0.7701
sw-01 Weighted Geometric Mean = 0.00000
ugnx-01 Weighted Geometric Mean = 0.00000
tcvis-01 Weighted Geometric Mean =  0.4134

and the result equal 0.00000 means run failed .



Reproduce steps:
----------------
 run specviewperf



Current result:
----------------
some cases of 'specviewperf' run failed .


Expected result:
----------------
run normally
Comment 1 Colin.Joe 2007-12-21 01:08:32 UTC
Created attachment 13280 [details]
Xorg.0.log
Comment 2 Colin.Joe 2007-12-21 01:09:03 UTC
Created attachment 13281 [details]
xorg.conf
Comment 3 Colin.Joe 2007-12-21 01:09:45 UTC
Created attachment 13282 [details]
3dsmax result
Comment 4 Colin.Joe 2007-12-21 01:10:56 UTC
Created attachment 13283 [details]
light test result
Comment 5 Colin.Joe 2007-12-21 01:11:23 UTC
Created attachment 13284 [details]
maya test result
Comment 6 Colin.Joe 2007-12-21 01:11:59 UTC
Created attachment 13285 [details]
sw test result
Comment 7 Colin.Joe 2007-12-21 01:12:40 UTC
Created attachment 13286 [details]
ugnx test result
Comment 8 Zou Nan hai 2008-01-16 21:47:37 UTC
I am almost not able to run specviewperf with Run_All.csh
It panic or crash the system some where everytime I run the test.
And it panic in defferently everytime...,

Can you retest it on q35
 
Comment 9 Colin.Joe 2008-02-26 00:27:27 UTC
this bug has been fixed in mesa master tip .
Comment 10 ajax at nwnk dot net 2009-08-24 12:28:53 UTC
Mass version move, cvs -> git